unit uAbout;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls, LCLIntf;

type

  { TfAbout }

  TfAbout = class(TForm)
    imAbout: TImage;
    lbSynTrunkRev: TLabel;
    lbVersion: TLabel;
    lbSynapseLink: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: char);
    procedure lbSynapseLinkClick(Sender: TObject);
    procedure lbSynapseLinkMouseEnter(Sender: TObject);
    procedure lbSynapseLinkMouseLeave(Sender: TObject);
  private

  public

  end;

var
  fAbout: TfAbout;

implementation

uses uMain;

{$R *.lfm}

{ TfAbout }


procedure TfAbout.FormCreate(Sender: TObject);
begin
  lbVersion.Caption := uMain.Title + ' ' + uMain.Version;
  lbSynTrunkRev.Caption := 'build with synapse trunk(' + SynTrunkRev.ToString + ')'
end;

procedure TfAbout.lbSynapseLinkClick(Sender: TObject);
begin
  OpenURL((Sender as TLabel).Caption);
end;

procedure TfAbout.lbSynapseLinkMouseEnter(Sender: TObject);
begin
  (Sender as TLabel).Font.Style := (Sender as TLabel).Font.Style + [fsUnderline];
end;

procedure TfAbout.lbSynapseLinkMouseLeave(Sender: TObject);
begin
  (Sender as TLabel).Font.Style := (Sender as TLabel).Font.Style - [fsUnderline];
end;

procedure TfAbout.FormKeyPress(Sender: TObject; var Key: char);
begin
  if Key = #27 then
    Close;
end;

end.

